#!/usr/bin/env perl

use strict;
use warnings;

use IO::Socket::IP;

my $socket = IO::Socket::IP->new(
    LocalHost => '127.0.0.1',
    LocalPort => 18888,
    Listen => 1,
    Blocking => 0,
    ReuseAddr => 1,
    Proto => 'tcp',
) or die($!);

my $udp = IO::Socket::IP->new(
    LocalHost => '127.0.0.1',
    LocalPort => 18888,
    Listen => 1,
    Blocking => 0,
    ReuseAddr => 1,
    Proto => 'udp',
) or die($!);

print "No error encountered when opening a socket\n";
